/** 设置openid */
export function setOpenId(openId: string) {
  window.localStorage.setItem(`__OPENID__`, openId)
}

/** 获取local中的 openid */
export function getOpenId() {
  return window.localStorage.getItem(`__OPENID__`)
}

/** 设置本地的 appType */
export function setAppType(appType: string) {
  window.localStorage.setItem(`__APP_TYPE__`, appType)
}

/** 获取本地的 appType */
export function getAppType() {
  return window.localStorage.getItem(`__APP_TYPE__`)
}

/** 设置本地的 渠道编码 */
export function setChannelCode(code: string) {
  window.localStorage.setItem(`__CHANNEL_CODE__`, code)
}

/** 获取本地的 渠道编码 */
export function getChannelCode() {
  return window.localStorage.getItem(`__CHANNEL_CODE__`)
}

/** 设置nickname */
export function setNickName(nickName: string) {
  window.localStorage.setItem(`__NICKNAME__`, nickName)
}

/** 获取local中的 nickname */
export function getNickName() {
  return window.localStorage.getItem(`__NICKNAME__`)
}

/** 设置 微信用户信息 */
export function setWxUserInfo(userInfo: any) {
  window.localStorage.setItem('__WX_USER_INFO__', userInfo)
}

/** 获取 微信用户信息 */
export function getWxUserInfo() {
  return JSON.parse(window.localStorage.getItem('__WX_USER_INFO__') as string)
}
